Privilege escalation in Intel Software Guard Extensions (SGX) SDK



Published: 2020-02-11
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-0561
CWE-ID CWE-665
Exploitation vector Local
Public exploit N/A
Vulnerable software
Subscribe
Intel SGX SDK for Windows
Client/Desktop applications / Other client software

Intel SGX SDK for Linux
Client/Desktop applications / Other client software

Vendor Intel

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Improper Initialization

EUVDB-ID: #VU25191

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-0561

CWE-ID: CWE-665 - Improper Initialization

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to improper initialization in the Intel(R) SGX SDK. A local user can run a specially crafted application to execute arbitrary code on the system with elevated privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Intel SGX SDK for Windows: 2.2.100

Intel SGX SDK for Linux: 2.4.100


CPE2.3 External links

http://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00336.html

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###